aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--meta-oe/recipes-kernel/compat-wireless/compat-wireless-all/0001-ath5k-fix-compilation-without-CONFIG_PCI.patch33
-rw-r--r--meta-oe/recipes-kernel/compat-wireless/compat-wireless-all_3.6.8.bb5
-rw-r--r--meta-oe/recipes-kernel/compat-wireless/compat-wireless.inc33
3 files changed, 0 insertions, 71 deletions
diff --git a/meta-oe/recipes-kernel/compat-wireless/compat-wireless-all/0001-ath5k-fix-compilation-without-CONFIG_PCI.patch b/meta-oe/recipes-kernel/compat-wireless/compat-wireless-all/0001-ath5k-fix-compilation-without-CONFIG_PCI.patch
deleted file mode 100644
index 3a51266d0..000000000
--- a/meta-oe/recipes-kernel/compat-wireless/compat-wireless-all/0001-ath5k-fix-compilation-without-CONFIG_PCI.patch
+++ /dev/null
@@ -1,33 +0,0 @@
-From fb323acc0b01bcf1ecafb9330c4fbb41cf942139 Mon Sep 17 00:00:00 2001
-From: Denis 'GNUtoo' Carikli <GNUtoo@no-log.org>
-Date: Wed, 18 Jul 2012 01:01:52 +0200
-Subject: [PATCH] ath5k: fix compilation without CONFIG_PCI
-
-Without that fix we have:
- [...]/drivers/net/wireless/ath/ath5k/led.c: In function 'ath5k_init_leds':
- [...]/drivers/net/wireless/ath/ath5k/led.c:179:2: error: implicit declaration of function 'pci_match_id' [-Werror=implicit-function-declaration]
-When CONFIG_PCI is not set.
-
-Upstream-Status: Pending: Not submitted yet.
-
-Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@no-log.org>
----
- drivers/net/wireless/ath/ath5k/led.c | 2 +-
- 1 files changed, 1 insertions(+), 1 deletions(-)
-
-diff --git a/drivers/net/wireless/ath/ath5k/led.c b/drivers/net/wireless/ath/ath5k/led.c
-index c044476..a4de133 100644
---- a/drivers/net/wireless/ath/ath5k/led.c
-+++ b/drivers/net/wireless/ath/ath5k/led.c
-@@ -173,7 +173,7 @@ int __devinit ath5k_init_leds(struct ath5k_hw *ah)
- if (!ah->pdev)
- return 0;
-
--#ifdef CONFIG_ATHEROS_AR231X
-+#if defined(CONFIG_ATHEROS_AR231X) || !defined(CONFIG_PCI)
- match = NULL;
- #else
- match = pci_match_id(&ath5k_led_devices[0], pdev);
---
-1.7.4.1
-
diff --git a/meta-oe/recipes-kernel/compat-wireless/compat-wireless-all_3.6.8.bb b/meta-oe/recipes-kernel/compat-wireless/compat-wireless-all_3.6.8.bb
deleted file mode 100644
index 0c407defc..000000000
--- a/meta-oe/recipes-kernel/compat-wireless/compat-wireless-all_3.6.8.bb
+++ /dev/null
@@ -1,5 +0,0 @@
-include compat-wireless.inc
-PR = "${INC_PR}.0"
-
-SRC_URI[md5sum] = "f02849a795137438238b4d166609eacc"
-SRC_URI[sha256sum] = "9bbbc72bf0adf73012f377caa38147e90f6d77ef0369b52f9a687bc66bbfbcfa"
diff --git a/meta-oe/recipes-kernel/compat-wireless/compat-wireless.inc b/meta-oe/recipes-kernel/compat-wireless/compat-wireless.inc
deleted file mode 100644
index 398142601..000000000
--- a/meta-oe/recipes-kernel/compat-wireless/compat-wireless.inc
+++ /dev/null
@@ -1,33 +0,0 @@
-DESCRIPTION = "Latest wireless drivers"
-HOMEPAGE = "http://wireless.kernel.org/en/users/Download"
-SECTION = "kernel/modules"
-LICENSE = "GPLv2"
-LIC_FILES_CHKSUM = "file://COPYRIGHT;md5=d7810fab7487fb0aad327b76f1be7cd7"
-RDEPENDS_${PN} = "wireless-tools"
-INC_PR = "r1"
-
-# depends on config options which are not enabled in qemu* MACHINEs by default
-# config.mk:25: *** "ERROR: your kernel has CONFIG_CFG80211=y, you should have it CONFIG_CFG80211=m if you want to use this thing.". Stop.
-EXCLUDE_FROM_WORLD = "1"
-
-COMPAT_WIRELESS_VERSION = "${PV}-1"
-SHRT_VER = "${@d.getVar('PV',1).split('.')[0]}.${@d.getVar('PV',1).split('.')[1]}"
-
-SRC_URI = " \
- http://www.orbit-lab.org/kernel/compat-wireless-3-stable/v${SHRT_VER}/compat-wireless-${COMPAT_WIRELESS_VERSION}.tar.bz2 \
- file://0001-ath5k-fix-compilation-without-CONFIG_PCI.patch \
-"
-
-S = "${WORKDIR}/compat-wireless-${COMPAT_WIRELESS_VERSION}"
-
-inherit module
-
-EXTRA_OEMAKE = "KLIB_BUILD=${STAGING_KERNEL_DIR} KLIB=${D}"
-
-do_configure_append() {
- sed -i "s#@./scripts/update-initramfs## " Makefile
-}
-
-do_install() {
- oe_runmake DEPMOD=echo DESTDIR="${D}" INSTALL_MOD_PATH="${D}" LDFLAGS="" install-modules
-}